
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用JS中的exec()方法构造正则表达式验证_javascript技巧 / iVAN</title>

    <meta name="description" content="使用JS中的exec()方法构造正则表达式验证_javascript技巧 正则表达式,又称正规表示法.常规表示法.(英语:Regular Expression,在代码中常简写为regex.regexp或RE),计算机科学的一个概念.正则表达式使用单个字符串来描述.匹配一系列符合某个句法规则.在很多文本编辑器里,正则表达式通常被用来检索.替换那些符合某个模式的文本. 一.Javascript中的正则表达式 在Javascript中,可以使用RegExp对象构造正则表达.我们需要新建一个实例化的RegExp()对象,可以传入两个参数:第一个参数是匹配的模式,第二个参数是一">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用JS中的exec()方法构造正则表达式验证_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>正则表达式，又称正规表示法、常规表示法。（英语：Regular Expression，在代码中常简写为regex、regexp或RE），计算机科学的一个概念。正则表达式使用单个字符串来描述、匹配一系列符合某个句法规则。在很多文本编辑器里，正则表达式通常被用来检索、替换那些符合某个模式的文本。</p>
<p><strong>一、Javascript中的正则表达式</strong></p>
<p>在Javascript中，可以使用RegExp对象构造正则表达。我们需要新建一个实例化的RegExp()对象，可以传入两个参数：第一个参数是匹配的模式，第二个参数是一个可选项，可以传入三种参数。i表示不区分大小写，g表示全局匹配，即匹配所有的符合条件的字符串，m表示执行多次匹配。实例如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var reg = new RegExp("Hello", "i"); //表示匹配字符串中的Hello字符串，并且不区分大小写。</p>
<p><strong>二、使用exec进行模式匹配</strong></p>
<p>RegExp中有一个方法可以进行模式匹配并返回结果：exec()。该方法非常重要，基本是使用js进行模式匹配必用的函数。然而该函数的返回值有很多人并不清楚，因此在实际使用的时候经常会出错。在这里系统的介绍一些exec()的使用方法。</p>
<p>exec()的基本格式为：RegExpObject.exec(string)，其中RegExpObject为设置好的正则匹配对象，string为待匹配的字符串。如果成功匹配，则返回一个数组；如果没有成功匹配的字符串部分，则返回null。</p>
<p>这里的重点就在于这个数组。数组返回的到底是什么呢？可以看一下下面这个实验.</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var re = new RegExp("[?#&amp;]" + user + "=([^]*)", "i")</p>
<p>这段代码进行了一个url的匹配，可以用来获得user=后面的参数部分，那么如果使用一个url并且用这个模式进行exec操作，结果会返回什么呢？比如我们有如下</p>
<p>www.qq.com?user=Tom&amp;psw=123456</p>
<p>exec返回的数组结果为：[?user=Tom, Tom]。可以看到返回数组的第一个元素就是整个的匹配模式所匹配到的字符串，而第二个匹配到的字符恰好是参数值。</p>
<p>这是exec匹配返回的规则：第一个元素为整个的匹配字符串，从第二个参数开始返回模式中每一个()所定义的分组所匹配的字符串。</p>
<p>这里面([^]*)返回的就是不以&amp;或#开头的字符串，即后面对应的参数。</p>
<p>如果我们将定义的模式修改为[?#&amp;]" + (user) + "=([^]*)，那么exec()后返回的数组就是[?user=Tom, user, Tom]。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:54:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/js%e6%ad%a3%e5%88%99%e8%a1%a8%e8%be%be%e5%bc%8f%e9%aa%8c%e8%af%81/" title="js正则表达式验证">js正则表达式验证</a>, <a href="https://www.iamivan.net/tag/js%e6%ad%a3%e5%88%99%e8%a1%a8%e8%be%be%e5%bc%8fexec/" title="js正则表达式exec">js正则表达式exec</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用JS中的exec()方法构造正则表达式验证_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1k38b.html" rel="bookmark">js中利用cookie实现记住密码功能&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在登录界面添加记住密码功能,我首先想到的是在java后台中调用cookie存放账号密码,大致如下: HttpServletRequest request HttpServletResponse response Cookie username = new Cookie(&quot;username &quot;,&quot;cookievalue&quot;); Cookie password = new Cookie(&quot;password &quot;,&quot;cookievalue&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8dZ0p.html" rel="bookmark">js中的preventDefault与stopPropagation详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先讲解一下js中preventDefault和stopPropagation两个方法的区别:preventDefault方法的起什么作用呢?我们知道比如&lt;a href=&quot;http://www.baidu.com&quot;&gt;百度&lt;/a&gt;,这是html中最基础的东西,起的作用就是点击百度链接到http://www.baidu.com,这是属于&lt;a&gt;标签的默认行为,而preventDefault方法就是可以阻止它的默认行为的发生而发生其他的事情.看一段代码大家就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWyQ2z.html" rel="bookmark">JavaScript中的splice方法用法详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript中的splice主要用来对js中的数组进行操作,包括删除,添加,替换等. 注意:这种方法会改变原始数组!. 1.删除-用于删除元素,两个参数,第一个参数(要删除第一项的位置),第二个参数(要删除的项数) 2.插入-向数组指定位置插入任意项元素.三个参数,第一个参数(插入位置),第二个参数(0),第三个参数(插入的项) 3.替换-向数组指定位置插入任意项元素,同时删除任意数量的项,三个参数.第一个参数(起始位置),第二个参数(删除的项数),第三个参数(插入任意数量的项) 示例:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNJqxp.html" rel="bookmark">escape函数解决js中ajax传递中文出现乱码问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了escape函数解决js中ajax传递中文出现乱码问题,分享给大家供大家参考.具体方法如下: 一.问题描述: 本来网页特效中的escape()是将中文按iso-8859-1字符集进行url编码的,那样通过 request.getparameter()是能直接获取到请求参数的,但后来的javascript将escape()换成了unicode字符集编 码,如此一来,在jsp教程和servlet中就没法直接拿到请求参数了,具体原因我也不知道. 二.解决办法: 1.首先对中文字符进行两次			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QEDqp.html" rel="bookmark">js中数组Array的一些常用方法总结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				var list = new Array()是我们在js中常常写到的代码,今天就总结哈Array的对象具有哪些方法. list[0] = 0; list[1] = 1; list[2] = 2; 或者这样声明:var list = [0,1,2] 1 shift()t:删除数组的第一个元素,返回删除的值.这里是0 2 unshift(3,4):把参数加载数组的前面,返回数组的长度.现在list:中是3,4,0,1,2 3pop():删除数组的最后一个元素,返回删除的值.这里是2. 4push(3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2VlmM.html" rel="bookmark">javascript中定义私有方法说明&lpar;private method&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一度以为在javascript的世界里,所有方法都是公有的,无法真正从技术上定义一个私有方法,今天又一次发现:其实我错了! 复制代码 代码如下: var Person = function(name,sex){     this.name = name;     this.sex = sex;          var _privateVariable = &quot;&quot;;//私有变量         //构造器中定义的方法,即为私有方法     function privateMethod()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZmPnop.html" rel="bookmark">JS中FRAME的操作问题实例分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例探讨了JS中FRAME的操作问题,分享给大家供大家参考.具体分析如下: 以上图为例,在这里把frame之间的互相操作简单列为:1变量2方法3页面之间元素的互相获取. 一.  首先从 父(frameABC)-------&gt;子(frameA,frameB,frameC) ① 访问变量名name 假如在frameABC中操作那么可以: 复制代码 代码如下: window.frames(&quot;frameA&quot;).contentWindow.name 或者 复制代码 代码如下: docu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdBLxdb.html" rel="bookmark">js中setTimeout&lpar;&rpar;与clearTimeout&lpar;&rpar;用法实例浅析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了js中setTimeout()与clearTimeout()用法.分享给大家供大家参考.具体分析如下: setTimeout() 方法用于在指定的毫秒数后调用函数或计算表达式. clearTimeout() 方法可取消由 setTimeout() 方法设置的 timeout. &lt;input type = text id = aaa &gt; &lt;input type = button value = stop id = bb onclick = bb()&gt; &lt;scrip			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj2w5Wb.html" rel="bookmark">js中hash和ico的关联分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了js中hash和ico的一些关联.分享给大家供大家参考.具体如下: 近期测试提出一个bug,说某几个页面中的ico不显示,于是针对此问题排查原因. 首先,确保页面中的link已引入favicon.ico.经查看,发现是js中的location.hash导致了ico不显示.原因是在ico未加载完毕时设置了location.hash从而导致ico不显示. location.hash在项目中经常用到,用于url定位,例如http://h.liepin.com/#job-manage中的&quot;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdjA6b.html" rel="bookmark" class="title">&lbrack;原创&rsqb;一个考试系统中的存储过程用来生成试卷用的</a>
					<div>
						存储过程|原创 CREATE proc paperbuild @papername char(200), @subject char(10), @xzt int,@xztn int,@tkt int, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPe4Dz.html" rel="bookmark" class="title">ASP计数器设计详解&lpar;转载&rpar;</a>
					<div>
						计数器|设计|详解 Active Server Pager(动态服务器主页,简称ASP),通过读写服务器的文件,结合script语言(VBscript或Jscript)和html码可以方便地实现页面计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaVBmM.html" rel="bookmark" class="title">ASP&period;NET中上传文件到数据库</a>
					<div>
						asp.net|上传|数据|数据库 介绍 为什么要将文件保存到数据库呢?理由很多,最直接的就是,将文件放入数据库以后,可以对文件进行更好的管理,特别是文本文件.图片等,如果不使用数据库,数量巨大的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4Pl8p.html" rel="bookmark" class="title">用Java ME进行无线消息传递</a>
					<div>
						2006 年 12 月 31 日 学习 Java Micro Edition(Java ME)无线消息 API.这个专栏将从几个简单的代码示例开始,随后讨论它为企业开发人员带来的各种机会.    移动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62vvXM.html" rel="bookmark" class="title">linux网络编程之TCP&sol;IP基础（二） 利用ARP和ICMP协议解释ping命令</a>
					<div>
						一.MTU 以太网和IEEE 802.3对数据帧的长度都有限制,其最大值分别是1500和1492字节,将这个限制称作最大 传输单元(MTU,Maximum Transmission Unit) 如果I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62voNM.html" rel="bookmark" class="title">hibernate中java&period;util&period;Date类型映射</a>
					<div>
						在Hibernate中对于java.util.Date类型的映射为: java类型 Hibernate类型 Mysql类型 java.util.Date.java.sql.Date date DATE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwqP5z.html" rel="bookmark" class="title">Photoshop给照片美化增加清晰度</a>
					<div>
						程用到的滤镜比较多,从磨皮到清晰处理,基本上都是用外挂滤镜.由此可见人物处理的时候适当的运用一些滤镜可以节省大量的后期处理时间. 原图: 最终效果:  1.用Photoshop打开原图,用图像对比度把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNV20b.html" rel="bookmark" class="title">浅谈javascript构造函数与实例化对象</a>
					<div>
						  JavaScript 中的构造函数和其它语言中的构造函数是不同的.通过 new 关键字方式调用的函数都被认为是构造函数.任何JavaScript 函数都可以用做构造函数,构造函数必须使用new 运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M913rXM.html" rel="bookmark" class="title">QQ输入法for Mac如何设置候选词个数</a>
					<div>
						  QQ输入法for Mac设置候选词个数的方法如下: 进入属性设置界面,进入&quot;界面&quot;标签页,&quot;候选词数目&quot;一栏中可设置候选词数目.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkmKdb.html" rel="bookmark" class="title">PS创建晶莹剔透的云朵</a>
					<div>
						  第1步: 打开Photoshop,Ctrl+N新建空白文档,尺寸可自己定义. 第2步: 按住Alt键双击背景图层,将其转换为普通图层.双击打开图层样式,为背景添加从#ddeffa到#96ccee的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6edWgb.html" rel="bookmark" class="title">新浪微博如何订阅微访谈？</a>
					<div>
						  点击进入微访谈页面,选择您喜欢的节目进行订阅,订阅后我们将第一时间通知您访谈的最新动态.您也可以在&quot;我的订阅&quot;中查看您订阅的内容.如有其它疑问你可以直接@微博主持人 进行咨询.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkle5b.html" rel="bookmark" class="title">有道词典突然不能发音如何解决</a>
					<div>
						  有道词典怎么发音?有道词典不能发音怎么解决?有道词典是一款非常实用的翻译软件,功能强大而富有人性化,是我们学习外语的必备神器.有道词典提供了多种语言以供选择,我们不仅可以查询单词的意思,还能学习单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXy8rp.html" rel="bookmark" class="title">H264监控录像如何恢复</a>
					<div>
						  1.搜索下载安装赤兔H264监控恢复软件 2.以管理员身份运行该软件,软件主界面如下图所示: 3.扫描恢复H264监控录像 3.1.点击&quot;选择磁盘&quot;按钮,勾选您要扫描恢复的磁盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8lV3b.html" rel="bookmark" class="title">前端-android 怎么保持登录后与后台的通信</a>
					<div>
						问题描述 android 怎么保持登录后与后台的通信 有些操作是登录后才能做的,比如查看购物车,android登录后前端用sharedpreferences判断了是否是登录状态,但如何保存与后台的连接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Pxyvp.html" rel="bookmark" class="title">jQuery实现批量判断表单中文本框非空的方法&lpar;2种方法&rpar;&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery实现批量判断表单中文本框非空的方法.分享给大家供大家参考,具体如下: 方法一: &lt;script type=&quot;text/javascript&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kkBxM.html" rel="bookmark" class="title">Joomla网站设计</a>
					<div>
						作为网页设计师,我们可以参考的设计范例和布局原则有很多,比如说:栅格化.纵向一致性.F型布局.Z型布局.三分法则.黄金分割法等等.注重这些原则将会给你的设计带来视觉吸引力和功能性--现在让我们来看一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAGa2M.html" rel="bookmark" class="title">android 仿易讯客户端loading效果</a>
					<div>
						下面来实现一个loading效果.具体效果如下:   首先对这个效果进行拆分,它由以下部分组成: 1 一个&quot;闪电&quot;样式的图案: 2 &quot;闪电&quot;图案背后是一个圆角矩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVDAZb.html" rel="bookmark" class="title">ubuntu下使用eclipse自动关闭</a>
					<div>
						问题描述 ubuntu下使用eclipse自动关闭 按alt + /出现代码提示或者写代码时自动提示都会导致eclipse自动退出.一出现代码提示就退出,实在太快了,没法截图说明.求救 解决方案 1  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA7aeM.html" rel="bookmark" class="title">ASP&period;NET 点击按钮 action获取数据</a>
					<div>
						问题描述 我系统尝试下同步表单提交的时候,能否将按钮所在行的数据提交到后台,并且后台actino能获取submit按钮的属性值,例如name.tooltip等以下是代码:@if(ViewData[&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEo2xz.html" rel="bookmark" class="title">探索Oracle之数据库升级二 11&period;2&period;0&period;3升级到11&period;2&period;0&period;4完整步骤</a>
					<div>
						探索Oracle之数据库升级二  11.2.0.3升级到11.2.0.4完整步骤   说明:         这篇文章主要是记录下单实例环境下Oracle 11.2.0.1升级到11.2.0.3的过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lG45b.html" rel="bookmark" class="title">消失的死锁</a>
					<div>
						问题描述 如果java层面发生了死锁,当我们使用jstack命令的时候其实是可以将死锁的信息给dump出来的,在dump结果的最后会有类似Found one Java-level deadlock:的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn8A7M.html" rel="bookmark" class="title">css 程序入门-新人关于css以及程序学习的入门问题</a>
					<div>
						问题描述 新人关于css以及程序学习的入门问题 想转行学习程序,无奈本身没什么天赋.在从codecademy上学习写代码,是个刚入门的妹子,请指教.怎么在 之间添加一个link标签 指向stylesh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeoAEM.html" rel="bookmark" class="title">flex TextArea 粘贴几百K的文字卡死的问题</a>
					<div>
						问题描述 在做Flex程序,有个新闻发布的页面,新闻内容我用了textArea,但是我点右键粘贴或者CTRL+C粘贴文字的时候就会页面卡死,复制的内容是纯文本的,大约500K左右,请各位大神帮忙,谢谢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodoljM.html" rel="bookmark" class="title">web&period;xml配置webAppRootKey 的问题</a>
					<div>
						在tomcat下部署两个或多个项目时,web.xml文件中最好定义webAppRootKey参数,如果不定义,将会缺省为&quot;webapp.root&quot;,如下: &lt;!-- 应用路径 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4exLNb.html" rel="bookmark" class="title">sar usage</a>
					<div>
						Linux统计/监控工具SAR详细介绍:要判断一个系统瓶颈问题,有时需要几个 sar 命令选项结合起来使用,例如: 怀疑CPU存在瓶颈,可用 sar -u 和 sar -q deng 等来查看     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkYeBp.html" rel="bookmark" class="title">业界对菜鸟网络的最大质疑</a>
					<div>
						北京商报讯(记者 李铎 王运)借机物流之名圈地一直是业界对菜鸟网络的最大质疑.昨日,商务部电子商务司副巡视员聂林海公开批评马云及菜鸟网络物流&quot;走歪路&quot;一事,阿里巴巴集团首席市场官王 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWP5kz.html" rel="bookmark" class="title">C&plus;&plus;不使用变量求字符串长度strlen函数的实现方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++不使用变量求字符串长度strlen函数的实现方法.分享给大家供大家参考.具体实现方法如下: 1.strlen的源码实现: size_t strlen(const char *str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QD6XM.html" rel="bookmark" class="title">请问一下  有关于sqlite&amp;amp&semi;amp&semi;quot&semi;no current row</a>
					<div>
						问题描述 usingSystem;usingSystem.Collections.Generic;usingSystem.ComponentModel;usingSystem.Data;usingSy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWk82z.html" rel="bookmark" class="title">请教：用Java语言设计以下图片中的界面设计</a>
					<div>
						问题描述 解决方案 解决方案二:这个想让别人帮你写还是单单求教思路.思路就是在对应的位置上丢上对应的文字或者文本框.解决方案三:这是毕设么....					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmGlap.html" rel="bookmark" class="title">最近网站经常出现 未能加载文件或程序集错误</a>
					<div>
						问题描述 最近网站经常出现如图错误网站运行了几年的最近没有改动过,错误也是最近几天才出现的很平凡 解决方案 解决方案二:你是发布滴?那就要复盖bin文件夹下的所有的文件了解决方案三:引用1楼liuch ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
